package com.alibaba.druid.sql.dialect.greenplum.ast.stmt;

import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.ast.expr.SQLIdentifierExpr;
import com.alibaba.druid.sql.ast.statement.SQLDropStatement;
import com.alibaba.druid.sql.dialect.greenplum.visitor.GPASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;

public class GPDropSchemaStatement extends SQLStatementImpl implements GPSQLStatement, SQLDropStatement {
   private ArrayList<SQLIdentifierExpr> schemaList = new ArrayList();
   private boolean ifExists;
   private boolean cascade;
   private boolean restrict;

   public ArrayList<SQLIdentifierExpr> getSchemaList() {
      return this.schemaList;
   }

   public void setSchemaList(ArrayList<SQLIdentifierExpr> schemaList) {
      this.schemaList = schemaList;
   }

   public boolean isIfExists() {
      return this.ifExists;
   }

   public void setIfExists(boolean ifExists) {
      this.ifExists = ifExists;
   }

   public boolean isCascade() {
      return this.cascade;
   }

   public void setCascade(boolean cascade) {
      this.cascade = cascade;
   }

   public boolean isRestrict() {
      return this.restrict;
   }

   public void setRestrict(boolean restrict) {
      this.restrict = restrict;
   }

   protected void accept0(SQLASTVisitor visitor) {
      this.accept0((GPASTVisitor)visitor);
   }

   public void accept0(GPASTVisitor visitor) {
      visitor.visit(this);
   }
}
